NETDEV_MASTER_UPPER_(9)

NAME
netdev_master_upper_dev_get_rcu - Get master upper device

SYNOPSIS

struct net_device * netdev_master_upper_dev_get_rcu(struct net_device * dev);

ARGUMENTS

dev
    device

DESCRIPTION

Find a master upper device and return pointer to it or NULL in case it's not there. The caller must hold the RCU read lock.

COPYRIGHT